/**
 * Copyright (C) 2009 eXo Platform SAS.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.exoplatform.portal.portlet;

import org.exoplatform.commons.utils.ExceptionUtil;
import org.exoplatform.container.component.BaseComponentPlugin;
import org.exoplatform.services.log.ExoLogger;
import org.exoplatform.services.log.Log;
import org.exoplatform.services.portletcontainer.PortletContainerException;

/**
 * Created by The eXo Platform SAS Author : eXoPlatform exo@exoplatform.com Apr 29, 2009
 */
public class LogPortletExceptionListener extends BaseComponentPlugin implements PortletExceptionListener {

    protected static Log log = ExoLogger.getLogger("portal:UIPortletLifecycle");

    public void handle(PortletContainerException e) {
        log.error("The portlet could not be loaded. Check if properly deployed.", ExceptionUtil.getRootCause(e));

    }
}
